


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.DataGrid;
import mx.collections.ArrayCollection;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property dataGrid (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'dataGrid' moved to '_1788676624dataGrid'
	 */

    [Bindable(event="propertyChange")]
    public function get dataGrid():mx.controls.DataGrid
    {
        return this._1788676624dataGrid;
    }

    public function set dataGrid(value:mx.controls.DataGrid):void
    {
    	var oldValue:Object = this._1788676624dataGrid;
        if (oldValue !== value)
        {
            this._1788676624dataGrid = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "dataGrid", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property dataCollection (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'dataCollection' moved to '_1871286808dataCollection'
	 */

    [Bindable(event="propertyChange")]
    public function get dataCollection():ArrayCollection
    {
        return this._1871286808dataCollection;
    }

    public function set dataCollection(value:ArrayCollection):void
    {
    	var oldValue:Object = this._1871286808dataCollection;
        if (oldValue !== value)
        {
            this._1871286808dataCollection = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "dataCollection", oldValue, value));
        }
    }



}
