


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.collections.ArrayCollection;
import spark.components.List;
import spark.components.Button;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property addButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'addButton' moved to '_484847821addButton'
	 */

    [Bindable(event="propertyChange")]
    public function get addButton():spark.components.Button
    {
        return this._484847821addButton;
    }

    public function set addButton(value:spark.components.Button):void
    {
    	var oldValue:Object = this._484847821addButton;
        if (oldValue !== value)
        {
            this._484847821addButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "addButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property bookmarkMenu (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'bookmarkMenu' moved to '_1951048629bookmarkMenu'
	 */

    [Bindable(event="propertyChange")]
    public function get bookmarkMenu():spark.components.List
    {
        return this._1951048629bookmarkMenu;
    }

    public function set bookmarkMenu(value:spark.components.List):void
    {
    	var oldValue:Object = this._1951048629bookmarkMenu;
        if (oldValue !== value)
        {
            this._1951048629bookmarkMenu = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "bookmarkMenu", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property clearButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'clearButton' moved to '_2071192609clearButton'
	 */

    [Bindable(event="propertyChange")]
    public function get clearButton():spark.components.Button
    {
        return this._2071192609clearButton;
    }

    public function set clearButton(value:spark.components.Button):void
    {
    	var oldValue:Object = this._2071192609clearButton;
        if (oldValue !== value)
        {
            this._2071192609clearButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "clearButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property bookmarks (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'bookmarks' moved to '_2037187069bookmarks'
	 */

    [Bindable(event="propertyChange")]
    public function get bookmarks():ArrayCollection
    {
        return this._2037187069bookmarks;
    }

    public function set bookmarks(value:ArrayCollection):void
    {
    	var oldValue:Object = this._2037187069bookmarks;
        if (oldValue !== value)
        {
            this._2037187069bookmarks = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "bookmarks", oldValue, value));
        }
    }



}
