


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import net.systemeD.potlatch2.panels.DragAndDropPanel;
import mx.controls.Image;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property foo (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'foo' moved to '_101574foo'
	 */

    [Bindable(event="propertyChange")]
    public function get foo():mx.controls.Image
    {
        return this._101574foo;
    }

    public function set foo(value:mx.controls.Image):void
    {
    	var oldValue:Object = this._101574foo;
        if (oldValue !== value)
        {
            this._101574foo = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "foo", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property outerDocument (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'outerDocument' moved to '_88844982outerDocument'
	 */

    [Bindable(event="propertyChange")]
    public function get outerDocument():net.systemeD.potlatch2.panels.DragAndDropPanel
    {
        return this._88844982outerDocument;
    }

    public function set outerDocument(value:net.systemeD.potlatch2.panels.DragAndDropPanel):void
    {
    	var oldValue:Object = this._88844982outerDocument;
        if (oldValue !== value)
        {
            this._88844982outerDocument = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "outerDocument", oldValue, value));
        }
    }



}
