


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.NumericStepper;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property input (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'input' moved to '_100358090input'
	 */

    [Bindable(event="propertyChange")]
    public function get input():mx.controls.NumericStepper
    {
        return this._100358090input;
    }

    public function set input(value:mx.controls.NumericStepper):void
    {
    	var oldValue:Object = this._100358090input;
        if (oldValue !== value)
        {
            this._100358090input = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "input", oldValue, value));
        }
    }



}
