


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import spark.components.CheckBox;
import mx.controls.HSlider;
import spark.components.Button;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property contextcheck (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextcheck' moved to '_1120265401contextcheck'
	 */

    [Bindable(event="propertyChange")]
    public function get contextcheck():spark.components.CheckBox
    {
        return this._1120265401contextcheck;
    }

    public function set contextcheck(value:spark.components.CheckBox):void
    {
    	var oldValue:Object = this._1120265401contextcheck;
        if (oldValue !== value)
        {
            this._1120265401contextcheck = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextcheck", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property cursorcheck (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'cursorcheck' moved to '_1566410894cursorcheck'
	 */

    [Bindable(event="propertyChange")]
    public function get cursorcheck():spark.components.CheckBox
    {
        return this._1566410894cursorcheck;
    }

    public function set cursorcheck(value:spark.components.CheckBox):void
    {
    	var oldValue:Object = this._1566410894cursorcheck;
        if (oldValue !== value)
        {
            this._1566410894cursorcheck = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "cursorcheck", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property latlongcheck (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'latlongcheck' moved to '_1656130893latlongcheck'
	 */

    [Bindable(event="propertyChange")]
    public function get latlongcheck():spark.components.CheckBox
    {
        return this._1656130893latlongcheck;
    }

    public function set latlongcheck(value:spark.components.CheckBox):void
    {
    	var oldValue:Object = this._1656130893latlongcheck;
        if (oldValue !== value)
        {
            this._1656130893latlongcheck = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "latlongcheck", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property ok (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'ok' moved to '_3548ok'
	 */

    [Bindable(event="propertyChange")]
    public function get ok():spark.components.Button
    {
        return this._3548ok;
    }

    public function set ok(value:spark.components.Button):void
    {
    	var oldValue:Object = this._3548ok;
        if (oldValue !== value)
        {
            this._3548ok = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "ok", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property simplifyslider (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'simplifyslider' moved to '_1022855382simplifyslider'
	 */

    [Bindable(event="propertyChange")]
    public function get simplifyslider():mx.controls.HSlider
    {
        return this._1022855382simplifyslider;
    }

    public function set simplifyslider(value:mx.controls.HSlider):void
    {
    	var oldValue:Object = this._1022855382simplifyslider;
        if (oldValue !== value)
        {
            this._1022855382simplifyslider = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "simplifyslider", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tbcheck (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'tbcheck' moved to '_1523471526tbcheck'
	 */

    [Bindable(event="propertyChange")]
    public function get tbcheck():spark.components.CheckBox
    {
        return this._1523471526tbcheck;
    }

    public function set tbcheck(value:spark.components.CheckBox):void
    {
    	var oldValue:Object = this._1523471526tbcheck;
        if (oldValue !== value)
        {
            this._1523471526tbcheck = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tbcheck", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tigercheck (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'tigercheck' moved to '_202140759tigercheck'
	 */

    [Bindable(event="propertyChange")]
    public function get tigercheck():spark.components.CheckBox
    {
        return this._202140759tigercheck;
    }

    public function set tigercheck(value:spark.components.CheckBox):void
    {
    	var oldValue:Object = this._202140759tigercheck;
        if (oldValue !== value)
        {
            this._202140759tigercheck = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tigercheck", oldValue, value));
        }
    }



}
