


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.TextInput;
import mx.controls.Label;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property unitText (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'unitText' moved to '_292671279unitText'
	 */

    [Bindable(event="propertyChange")]
    public function get unitText():mx.controls.Label
    {
        return this._292671279unitText;
    }

    public function set unitText(value:mx.controls.Label):void
    {
    	var oldValue:Object = this._292671279unitText;
        if (oldValue !== value)
        {
            this._292671279unitText = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "unitText", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property valueText (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'valueText' moved to '_765711810valueText'
	 */

    [Bindable(event="propertyChange")]
    public function get valueText():mx.controls.TextInput
    {
        return this._765711810valueText;
    }

    public function set valueText(value:mx.controls.TextInput):void
    {
    	var oldValue:Object = this._765711810valueText;
        if (oldValue !== value)
        {
            this._765711810valueText = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "valueText", oldValue, value));
        }
    }



}
