


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.collections.ArrayCollection;
import mx.controls.ComboBox;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property dir (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'dir' moved to '_99469dir'
	 */

    [Bindable(event="propertyChange")]
    public function get dir():mx.controls.ComboBox
    {
        return this._99469dir;
    }

    public function set dir(value:mx.controls.ComboBox):void
    {
    	var oldValue:Object = this._99469dir;
        if (oldValue !== value)
        {
            this._99469dir = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "dir", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property routeDirs (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'routeDirs' moved to '_167176047routeDirs'
	 */

    [Bindable(event="propertyChange")]
    public function get routeDirs():ArrayCollection
    {
        return this._167176047routeDirs;
    }

    public function set routeDirs(value:ArrayCollection):void
    {
    	var oldValue:Object = this._167176047routeDirs;
        if (oldValue !== value)
        {
            this._167176047routeDirs = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "routeDirs", oldValue, value));
        }
    }



}
