

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import net.systemeD.controls.*;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property fadeSpeed (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'fadeSpeed' moved to '_895162581fadeSpeed'
	 */

    [Bindable(event="propertyChange")]
    public function get fadeSpeed():int
    {
        return this._895162581fadeSpeed;
    }

    public function set fadeSpeed(value:int):void
    {
    	var oldValue:Object = this._895162581fadeSpeed;
        if (oldValue !== value)
        {
            this._895162581fadeSpeed = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "fadeSpeed", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property size (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'size' moved to '_3530753size'
	 */

    [Bindable(event="propertyChange")]
    public function set size(value:Number):void
    {
    	var oldValue:Object = this.size;
        if (oldValue !== value)
        {
            this._3530753size = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "size", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property numTicks (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'numTicks' moved to '_1899263344numTicks'
	 */

    [Bindable(event="propertyChange")]
    public function set numTicks(value:int):void
    {
    	var oldValue:Object = this.numTicks;
        if (oldValue !== value)
        {
            this._1899263344numTicks = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "numTicks", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tickWidth (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'tickWidth' moved to '_84384215tickWidth'
	 */

    [Bindable(event="propertyChange")]
    public function set tickWidth(value:int):void
    {
    	var oldValue:Object = this.tickWidth;
        if (oldValue !== value)
        {
            this._84384215tickWidth = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tickWidth", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property speed (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'speed' moved to '_109641799speed'
	 */

    [Bindable(event="propertyChange")]
    public function set speed(value:int):void
    {
    	var oldValue:Object = this.speed;
        if (oldValue !== value)
        {
            this._109641799speed = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "speed", oldValue, value));
        }
    }



}
