


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import spark.components.Label;
import mx.controls.Image;
import spark.components.Button;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property nextTaskButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'nextTaskButton' moved to '_845880214nextTaskButton'
	 */

    [Bindable(event="propertyChange")]
    public function get nextTaskButton():spark.components.Button
    {
        return this._845880214nextTaskButton;
    }

    public function set nextTaskButton(value:spark.components.Button):void
    {
    	var oldValue:Object = this._845880214nextTaskButton;
        if (oldValue !== value)
        {
            this._845880214nextTaskButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "nextTaskButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property paletteClose (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'paletteClose' moved to '_284372029paletteClose'
	 */

    [Bindable(event="propertyChange")]
    public function get paletteClose():mx.controls.Image
    {
        return this._284372029paletteClose;
    }

    public function set paletteClose(value:mx.controls.Image):void
    {
    	var oldValue:Object = this._284372029paletteClose;
        if (oldValue !== value)
        {
            this._284372029paletteClose = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "paletteClose", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property previousTaskButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'previousTaskButton' moved to '_1586225006previousTaskButton'
	 */

    [Bindable(event="propertyChange")]
    public function get previousTaskButton():spark.components.Button
    {
        return this._1586225006previousTaskButton;
    }

    public function set previousTaskButton(value:spark.components.Button):void
    {
    	var oldValue:Object = this._1586225006previousTaskButton;
        if (oldValue !== value)
        {
            this._1586225006previousTaskButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "previousTaskButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property taskDescription (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'taskDescription' moved to '_1523531465taskDescription'
	 */

    [Bindable(event="propertyChange")]
    public function get taskDescription():spark.components.Label
    {
        return this._1523531465taskDescription;
    }

    public function set taskDescription(value:spark.components.Label):void
    {
    	var oldValue:Object = this._1523531465taskDescription;
        if (oldValue !== value)
        {
            this._1523531465taskDescription = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "taskDescription", oldValue, value));
        }
    }



}
