


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.CheckBox;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property inputBox (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'inputBox' moved to '_470688161inputBox'
	 */

    [Bindable(event="propertyChange")]
    public function get inputBox():mx.controls.CheckBox
    {
        return this._470688161inputBox;
    }

    public function set inputBox(value:mx.controls.CheckBox):void
    {
    	var oldValue:Object = this._470688161inputBox;
        if (oldValue !== value)
        {
            this._470688161inputBox = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "inputBox", oldValue, value));
        }
    }



}
