


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.containers.Box;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property contextDragSelection (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextDragSelection' moved to '_951325367contextDragSelection'
	 */

    [Bindable(event="propertyChange")]
    public function get contextDragSelection():mx.containers.Box
    {
        return this._951325367contextDragSelection;
    }

    public function set contextDragSelection(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._951325367contextDragSelection;
        if (oldValue !== value)
        {
            this._951325367contextDragSelection = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextDragSelection", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextDragWayNode (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextDragWayNode' moved to '_31251314contextDragWayNode'
	 */

    [Bindable(event="propertyChange")]
    public function get contextDragWayNode():mx.containers.Box
    {
        return this._31251314contextDragWayNode;
    }

    public function set contextDragWayNode(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._31251314contextDragWayNode;
        if (oldValue !== value)
        {
            this._31251314contextDragWayNode = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextDragWayNode", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextDrawQuadrilateral (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextDrawQuadrilateral' moved to '_1544453990contextDrawQuadrilateral'
	 */

    [Bindable(event="propertyChange")]
    public function get contextDrawQuadrilateral():mx.containers.Box
    {
        return this._1544453990contextDrawQuadrilateral;
    }

    public function set contextDrawQuadrilateral(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._1544453990contextDrawQuadrilateral;
        if (oldValue !== value)
        {
            this._1544453990contextDrawQuadrilateral = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextDrawQuadrilateral", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextDrawWay (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextDrawWay' moved to '_1373593180contextDrawWay'
	 */

    [Bindable(event="propertyChange")]
    public function get contextDrawWay():mx.containers.Box
    {
        return this._1373593180contextDrawWay;
    }

    public function set contextDrawWay(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._1373593180contextDrawWay;
        if (oldValue !== value)
        {
            this._1373593180contextDrawWay = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextDrawWay", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextNoSelection (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextNoSelection' moved to '_1665584028contextNoSelection'
	 */

    [Bindable(event="propertyChange")]
    public function get contextNoSelection():mx.containers.Box
    {
        return this._1665584028contextNoSelection;
    }

    public function set contextNoSelection(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._1665584028contextNoSelection;
        if (oldValue !== value)
        {
            this._1665584028contextNoSelection = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextNoSelection", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextNotFound (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextNotFound' moved to '_2011841342contextNotFound'
	 */

    [Bindable(event="propertyChange")]
    public function get contextNotFound():mx.containers.Box
    {
        return this._2011841342contextNotFound;
    }

    public function set contextNotFound(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._2011841342contextNotFound;
        if (oldValue !== value)
        {
            this._2011841342contextNotFound = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextNotFound", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextSelectArea (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextSelectArea' moved to '_895786680contextSelectArea'
	 */

    [Bindable(event="propertyChange")]
    public function get contextSelectArea():mx.containers.Box
    {
        return this._895786680contextSelectArea;
    }

    public function set contextSelectArea(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._895786680contextSelectArea;
        if (oldValue !== value)
        {
            this._895786680contextSelectArea = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextSelectArea", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextSelectedMultiple (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextSelectedMultiple' moved to '_449211802contextSelectedMultiple'
	 */

    [Bindable(event="propertyChange")]
    public function get contextSelectedMultiple():mx.containers.Box
    {
        return this._449211802contextSelectedMultiple;
    }

    public function set contextSelectedMultiple(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._449211802contextSelectedMultiple;
        if (oldValue !== value)
        {
            this._449211802contextSelectedMultiple = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextSelectedMultiple", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextSelectedPOINode (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextSelectedPOINode' moved to '_447265442contextSelectedPOINode'
	 */

    [Bindable(event="propertyChange")]
    public function get contextSelectedPOINode():mx.containers.Box
    {
        return this._447265442contextSelectedPOINode;
    }

    public function set contextSelectedPOINode(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._447265442contextSelectedPOINode;
        if (oldValue !== value)
        {
            this._447265442contextSelectedPOINode = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextSelectedPOINode", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextSelectedParallelWay (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextSelectedParallelWay' moved to '_576510050contextSelectedParallelWay'
	 */

    [Bindable(event="propertyChange")]
    public function get contextSelectedParallelWay():mx.containers.Box
    {
        return this._576510050contextSelectedParallelWay;
    }

    public function set contextSelectedParallelWay(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._576510050contextSelectedParallelWay;
        if (oldValue !== value)
        {
            this._576510050contextSelectedParallelWay = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextSelectedParallelWay", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextSelectedWay (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextSelectedWay' moved to '_2032399653contextSelectedWay'
	 */

    [Bindable(event="propertyChange")]
    public function get contextSelectedWay():mx.containers.Box
    {
        return this._2032399653contextSelectedWay;
    }

    public function set contextSelectedWay(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._2032399653contextSelectedWay;
        if (oldValue !== value)
        {
            this._2032399653contextSelectedWay = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextSelectedWay", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contextSelectedWayNode (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contextSelectedWayNode' moved to '_1370489657contextSelectedWayNode'
	 */

    [Bindable(event="propertyChange")]
    public function get contextSelectedWayNode():mx.containers.Box
    {
        return this._1370489657contextSelectedWayNode;
    }

    public function set contextSelectedWayNode(value:mx.containers.Box):void
    {
    	var oldValue:Object = this._1370489657contextSelectedWayNode;
        if (oldValue !== value)
        {
            this._1370489657contextSelectedWayNode = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contextSelectedWayNode", oldValue, value));
        }
    }



}
