


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import spark.primitives.Rect;
import spark.components.Form;
import mx.graphics.SolidColor;
import spark.components.Group;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property background (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'background' moved to '_1332194002background'
	 */

    [Bindable(event="propertyChange")]
    public function get background():spark.primitives.Rect
    {
        return this._1332194002background;
    }

    public function set background(value:spark.primitives.Rect):void
    {
    	var oldValue:Object = this._1332194002background;
        if (oldValue !== value)
        {
            this._1332194002background = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "background", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property bgFill (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'bgFill' moved to '_1391998104bgFill'
	 */

    [Bindable(event="propertyChange")]
    public function get bgFill():mx.graphics.SolidColor
    {
        return this._1391998104bgFill;
    }

    public function set bgFill(value:mx.graphics.SolidColor):void
    {
    	var oldValue:Object = this._1391998104bgFill;
        if (oldValue !== value)
        {
            this._1391998104bgFill = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "bgFill", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contentGroup (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contentGroup' moved to '_809612678contentGroup'
	 */

    [Bindable(event="propertyChange")]
    public function get contentGroup():spark.components.Group
    {
        return this._809612678contentGroup;
    }

    public function set contentGroup(value:spark.components.Group):void
    {
    	var oldValue:Object = this._809612678contentGroup;
        if (oldValue !== value)
        {
            this._809612678contentGroup = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contentGroup", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property hostComponent (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'hostComponent' moved to '_213507019hostComponent'
	 */

    [Bindable(event="propertyChange")]
    public function get hostComponent():spark.components.Form
    {
        return this._213507019hostComponent;
    }

    public function set hostComponent(value:spark.components.Form):void
    {
    	var oldValue:Object = this._213507019hostComponent;
        if (oldValue !== value)
        {
            this._213507019hostComponent = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "hostComponent", oldValue, value));
        }
    }



}
