


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import spark.components.RichText;
import spark.components.DataGrid;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property results (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'results' moved to '_1097546742results'
	 */

    [Bindable(event="propertyChange")]
    public function get results():spark.components.RichText
    {
        return this._1097546742results;
    }

    public function set results(value:spark.components.RichText):void
    {
    	var oldValue:Object = this._1097546742results;
        if (oldValue !== value)
        {
            this._1097546742results = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "results", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property traceGrid (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'traceGrid' moved to '_723895851traceGrid'
	 */

    [Bindable(event="propertyChange")]
    public function get traceGrid():spark.components.DataGrid
    {
        return this._723895851traceGrid;
    }

    public function set traceGrid(value:spark.components.DataGrid):void
    {
    	var oldValue:Object = this._723895851traceGrid;
        if (oldValue !== value)
        {
            this._723895851traceGrid = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "traceGrid", oldValue, value));
        }
    }



}
