


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.CheckBox;
import mx.containers.VBox;
import mx.controls.Button;
import mx.controls.ProgressBar;
import mx.controls.Text;
import mx.controls.LinkButton;
import mx.containers.ViewStack;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property authorized (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'authorized' moved to '_1500711525authorized'
	 */

    [Bindable(event="propertyChange")]
    public function get authorized():mx.controls.Text
    {
        return this._1500711525authorized;
    }

    public function set authorized(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._1500711525authorized;
        if (oldValue !== value)
        {
            this._1500711525authorized = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "authorized", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property cancelButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'cancelButton' moved to '_1990131276cancelButton'
	 */

    [Bindable(event="propertyChange")]
    public function get cancelButton():mx.controls.Button
    {
        return this._1990131276cancelButton;
    }

    public function set cancelButton(value:mx.controls.Button):void
    {
    	var oldValue:Object = this._1990131276cancelButton;
        if (oldValue !== value)
        {
            this._1990131276cancelButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "cancelButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property contentStack (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'contentStack' moved to '_820740495contentStack'
	 */

    [Bindable(event="propertyChange")]
    public function get contentStack():mx.containers.ViewStack
    {
        return this._820740495contentStack;
    }

    public function set contentStack(value:mx.containers.ViewStack):void
    {
    	var oldValue:Object = this._820740495contentStack;
        if (oldValue !== value)
        {
            this._820740495contentStack = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "contentStack", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property deniedLabel (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'deniedLabel' moved to '_1760107545deniedLabel'
	 */

    [Bindable(event="propertyChange")]
    public function get deniedLabel():mx.controls.Text
    {
        return this._1760107545deniedLabel;
    }

    public function set deniedLabel(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._1760107545deniedLabel;
        if (oldValue !== value)
        {
            this._1760107545deniedLabel = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "deniedLabel", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property gotLinkBox (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'gotLinkBox' moved to '_319237445gotLinkBox'
	 */

    [Bindable(event="propertyChange")]
    public function get gotLinkBox():mx.containers.VBox
    {
        return this._319237445gotLinkBox;
    }

    public function set gotLinkBox(value:mx.containers.VBox):void
    {
    	var oldValue:Object = this._319237445gotLinkBox;
        if (oldValue !== value)
        {
            this._319237445gotLinkBox = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "gotLinkBox", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property link (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'link' moved to '_3321850link'
	 */

    [Bindable(event="propertyChange")]
    public function get link():mx.controls.LinkButton
    {
        return this._3321850link;
    }

    public function set link(value:mx.controls.LinkButton):void
    {
    	var oldValue:Object = this._3321850link;
        if (oldValue !== value)
        {
            this._3321850link = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "link", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property okPanel (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'okPanel' moved to '_1426107000okPanel'
	 */

    [Bindable(event="propertyChange")]
    public function get okPanel():mx.containers.VBox
    {
        return this._1426107000okPanel;
    }

    public function set okPanel(value:mx.containers.VBox):void
    {
    	var oldValue:Object = this._1426107000okPanel;
        if (oldValue !== value)
        {
            this._1426107000okPanel = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "okPanel", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property permFail (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'permFail' moved to '_436389422permFail'
	 */

    [Bindable(event="propertyChange")]
    public function get permFail():mx.controls.Text
    {
        return this._436389422permFail;
    }

    public function set permFail(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._436389422permFail;
        if (oldValue !== value)
        {
            this._436389422permFail = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "permFail", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property permFailPanel (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'permFailPanel' moved to '_165478518permFailPanel'
	 */

    [Bindable(event="propertyChange")]
    public function get permFailPanel():mx.containers.VBox
    {
        return this._165478518permFailPanel;
    }

    public function set permFailPanel(value:mx.containers.VBox):void
    {
    	var oldValue:Object = this._165478518permFailPanel;
        if (oldValue !== value)
        {
            this._165478518permFailPanel = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "permFailPanel", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property progress (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'progress' moved to '_1001078227progress'
	 */

    [Bindable(event="propertyChange")]
    public function get progress():mx.controls.ProgressBar
    {
        return this._1001078227progress;
    }

    public function set progress(value:mx.controls.ProgressBar):void
    {
    	var oldValue:Object = this._1001078227progress;
        if (oldValue !== value)
        {
            this._1001078227progress = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "progress", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property rememberMe (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'rememberMe' moved to '_553550085rememberMe'
	 */

    [Bindable(event="propertyChange")]
    public function get rememberMe():mx.controls.CheckBox
    {
        return this._553550085rememberMe;
    }

    public function set rememberMe(value:mx.controls.CheckBox):void
    {
    	var oldValue:Object = this._553550085rememberMe;
        if (oldValue !== value)
        {
            this._553550085rememberMe = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "rememberMe", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tempFail (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'tempFail' moved to '_1322679022tempFail'
	 */

    [Bindable(event="propertyChange")]
    public function get tempFail():mx.controls.Text
    {
        return this._1322679022tempFail;
    }

    public function set tempFail(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._1322679022tempFail;
        if (oldValue !== value)
        {
            this._1322679022tempFail = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tempFail", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tempFailPanel (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'tempFailPanel' moved to '_1202851822tempFailPanel'
	 */

    [Bindable(event="propertyChange")]
    public function get tempFailPanel():mx.containers.VBox
    {
        return this._1202851822tempFailPanel;
    }

    public function set tempFailPanel(value:mx.containers.VBox):void
    {
    	var oldValue:Object = this._1202851822tempFailPanel;
        if (oldValue !== value)
        {
            this._1202851822tempFailPanel = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tempFailPanel", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tryAccessButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'tryAccessButton' moved to '_1827373841tryAccessButton'
	 */

    [Bindable(event="propertyChange")]
    public function get tryAccessButton():mx.controls.Button
    {
        return this._1827373841tryAccessButton;
    }

    public function set tryAccessButton(value:mx.controls.Button):void
    {
    	var oldValue:Object = this._1827373841tryAccessButton;
        if (oldValue !== value)
        {
            this._1827373841tryAccessButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tryAccessButton", oldValue, value));
        }
    }



}
