

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import flexlib.controls.*;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property prompt (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'prompt' moved to '_979805852prompt'
	 */

    [Bindable(event="propertyChange")]
    public function set prompt(value:String):void
    {
    	var oldValue:Object = this.prompt;
        if (oldValue !== value)
        {
            this._979805852prompt = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "prompt", oldValue, value));
        }
    }



}
