


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.Button;
import mx.controls.Text;
import mx.controls.List;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property relationSelector (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'relationSelector' moved to '_170431995relationSelector'
	 */

    [Bindable(event="propertyChange")]
    public function get relationSelector():mx.controls.List
    {
        return this._170431995relationSelector;
    }

    public function set relationSelector(value:mx.controls.List):void
    {
    	var oldValue:Object = this._170431995relationSelector;
        if (oldValue !== value)
        {
            this._170431995relationSelector = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "relationSelector", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property selectButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'selectButton' moved to '_1555143502selectButton'
	 */

    [Bindable(event="propertyChange")]
    public function get selectButton():mx.controls.Button
    {
        return this._1555143502selectButton;
    }

    public function set selectButton(value:mx.controls.Button):void
    {
    	var oldValue:Object = this._1555143502selectButton;
        if (oldValue !== value)
        {
            this._1555143502selectButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "selectButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property warning (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'warning' moved to '_1124446108warning'
	 */

    [Bindable(event="propertyChange")]
    public function get warning():mx.controls.Text
    {
        return this._1124446108warning;
    }

    public function set warning(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._1124446108warning;
        if (oldValue !== value)
        {
            this._1124446108warning = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "warning", oldValue, value));
        }
    }



}
