


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.HSlider;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property inputSlider (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'inputSlider' moved to '_313639605inputSlider'
	 */

    [Bindable(event="propertyChange")]
    public function get inputSlider():mx.controls.HSlider
    {
        return this._313639605inputSlider;
    }

    public function set inputSlider(value:mx.controls.HSlider):void
    {
    	var oldValue:Object = this._313639605inputSlider;
        if (oldValue !== value)
        {
            this._313639605inputSlider = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "inputSlider", oldValue, value));
        }
    }



}
