


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import spark.components.List;
import spark.components.Button;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property editButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'editButton' moved to '_1454002652editButton'
	 */

    [Bindable(event="propertyChange")]
    public function get editButton():spark.components.Button
    {
        return this._1454002652editButton;
    }

    public function set editButton(value:spark.components.Button):void
    {
    	var oldValue:Object = this._1454002652editButton;
        if (oldValue !== value)
        {
            this._1454002652editButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "editButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property mapStyle (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'mapStyle' moved to '_168001973mapStyle'
	 */

    [Bindable(event="propertyChange")]
    public function get mapStyle():spark.components.List
    {
        return this._168001973mapStyle;
    }

    public function set mapStyle(value:spark.components.List):void
    {
    	var oldValue:Object = this._168001973mapStyle;
        if (oldValue !== value)
        {
            this._168001973mapStyle = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "mapStyle", oldValue, value));
        }
    }



}
