


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.collections.ArrayCollection;
import net.systemeD.potlatch2.mapfeatures.editors.ChoiceComboBox;
import mx.containers.GridItem;
import mx.controls.Text;
import mx.controls.LinkButton;
import mx.controls.ComboBox;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property from (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'from' moved to '_3151786from'
	 */

    [Bindable(event="propertyChange")]
    public function get from():mx.controls.ComboBox
    {
        return this._3151786from;
    }

    public function set from(value:mx.controls.ComboBox):void
    {
    	var oldValue:Object = this._3151786from;
        if (oldValue !== value)
        {
            this._3151786from = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "from", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property fromCt (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'fromCt' moved to '_1266098757fromCt'
	 */

    [Bindable(event="propertyChange")]
    public function get fromCt():mx.containers.GridItem
    {
        return this._1266098757fromCt;
    }

    public function set fromCt(value:mx.containers.GridItem):void
    {
    	var oldValue:Object = this._1266098757fromCt;
        if (oldValue !== value)
        {
            this._1266098757fromCt = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "fromCt", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property fromLabel (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'fromLabel' moved to '_62566762fromLabel'
	 */

    [Bindable(event="propertyChange")]
    public function get fromLabel():mx.controls.Text
    {
        return this._62566762fromLabel;
    }

    public function set fromLabel(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._62566762fromLabel;
        if (oldValue !== value)
        {
            this._62566762fromLabel = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "fromLabel", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property inputBox (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'inputBox' moved to '_470688161inputBox'
	 */

    [Bindable(event="propertyChange")]
    public function get inputBox():net.systemeD.potlatch2.mapfeatures.editors.ChoiceComboBox
    {
        return this._470688161inputBox;
    }

    public function set inputBox(value:net.systemeD.potlatch2.mapfeatures.editors.ChoiceComboBox):void
    {
    	var oldValue:Object = this._470688161inputBox;
        if (oldValue !== value)
        {
            this._470688161inputBox = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "inputBox", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property restrictionTypes (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'restrictionTypes' moved to '_493562867restrictionTypes'
	 */

    [Bindable(event="propertyChange")]
    public function get restrictionTypes():mx.collections.ArrayCollection
    {
        return this._493562867restrictionTypes;
    }

    public function set restrictionTypes(value:mx.collections.ArrayCollection):void
    {
    	var oldValue:Object = this._493562867restrictionTypes;
        if (oldValue !== value)
        {
            this._493562867restrictionTypes = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "restrictionTypes", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property show (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'show' moved to '_3529469show'
	 */

    [Bindable(event="propertyChange")]
    public function get show():mx.controls.LinkButton
    {
        return this._3529469show;
    }

    public function set show(value:mx.controls.LinkButton):void
    {
    	var oldValue:Object = this._3529469show;
        if (oldValue !== value)
        {
            this._3529469show = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "show", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property to (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'to' moved to '_3707to'
	 */

    [Bindable(event="propertyChange")]
    public function get to():mx.controls.ComboBox
    {
        return this._3707to;
    }

    public function set to(value:mx.controls.ComboBox):void
    {
    	var oldValue:Object = this._3707to;
        if (oldValue !== value)
        {
            this._3707to = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "to", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property toCt (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'toCt' moved to '_3564620toCt'
	 */

    [Bindable(event="propertyChange")]
    public function get toCt():mx.containers.GridItem
    {
        return this._3564620toCt;
    }

    public function set toCt(value:mx.containers.GridItem):void
    {
    	var oldValue:Object = this._3564620toCt;
        if (oldValue !== value)
        {
            this._3564620toCt = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "toCt", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property toLabel (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'toLabel' moved to '_1172744903toLabel'
	 */

    [Bindable(event="propertyChange")]
    public function get toLabel():mx.controls.Text
    {
        return this._1172744903toLabel;
    }

    public function set toLabel(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._1172744903toLabel;
        if (oldValue !== value)
        {
            this._1172744903toLabel = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "toLabel", oldValue, value));
        }
    }



}
