


import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.Image;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property sign (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'sign' moved to '_3530173sign'
	 */

    [Bindable(event="propertyChange")]
    public function get sign():mx.controls.Image
    {
        return this._3530173sign;
    }

    public function set sign(value:mx.controls.Image):void
    {
    	var oldValue:Object = this._3530173sign;
        if (oldValue !== value)
        {
            this._3530173sign = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "sign", oldValue, value));
        }
    }



}
