

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.Button;
import mx.controls.Text;
import mx.controls.Image;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property headlineText (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'headlineText' moved to '_1613873887headlineText'
	 */

    [Bindable(event="propertyChange")]
    public function get headlineText():mx.controls.Text
    {
        return this._1613873887headlineText;
    }

    public function set headlineText(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._1613873887headlineText;
        if (oldValue !== value)
        {
            this._1613873887headlineText = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "headlineText", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property nextButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'nextButton' moved to '_1749722107nextButton'
	 */

    [Bindable(event="propertyChange")]
    public function get nextButton():mx.controls.Button
    {
        return this._1749722107nextButton;
    }

    public function set nextButton(value:mx.controls.Button):void
    {
    	var oldValue:Object = this._1749722107nextButton;
        if (oldValue !== value)
        {
            this._1749722107nextButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "nextButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property toolboxClose (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'toolboxClose' moved to '_151955589toolboxClose'
	 */

    [Bindable(event="propertyChange")]
    public function get toolboxClose():mx.controls.Image
    {
        return this._151955589toolboxClose;
    }

    public function set toolboxClose(value:mx.controls.Image):void
    {
    	var oldValue:Object = this._151955589toolboxClose;
        if (oldValue !== value)
        {
            this._151955589toolboxClose = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "toolboxClose", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property tutorialText (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'tutorialText' moved to '_608961963tutorialText'
	 */

    [Bindable(event="propertyChange")]
    public function get tutorialText():mx.controls.Text
    {
        return this._608961963tutorialText;
    }

    public function set tutorialText(value:mx.controls.Text):void
    {
    	var oldValue:Object = this._608961963tutorialText;
        if (oldValue !== value)
        {
            this._608961963tutorialText = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "tutorialText", oldValue, value));
        }
    }



}
